import { axios } from '@/utils/request'

// 列表查询
export const getSettingList = (params) => {
  const url = `zycar-mgr/business/experience/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 状态改变
export const changeStatus = (params) => {
  const url = `zycar-mgr/business/experience/enable/${params.id}/${params.flag}`
  return axios({
    url: url,
    data: {},
    method: 'get'
  })
}

// 删除
export const deleteItem = (params) => {
  const url = `zycar-mgr/business/experience/delete/${params.id}`
  return axios({
    url: url,
    data: {},
    method: 'get'
  })
}

// 保存
export const saveItem = (params) => {
  const url = `zycar-mgr/business/experience/save`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 查详情
export const searchDetail = (params) => {
  const url = `zycar-mgr/business/experience/${params.id}`
  return axios({
    url: url,
    data: params,
    method: 'get'
  })
}

// 关联广告图
export const aboutaDvertisementImg = (params) => {
  return axios.request({
    url: `zycar-mgr/banner/query`,
    data:{position:params.position},
    method: 'post'
  })
}

// 关联广告图片详情
export const searcAdhDetail = (params) => {
  return axios.request({
    url: `zycar-mgr/banner/query`,
    data:{id:params.id} ,
    method: 'post'
  })
}